Bug 509307 - remarks in <title>s are not consistently highlighted in pdfs
remarks in <title>s are not consistently highlighted in pdfs
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Ruediger Landmann
Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 02:02 EDT by Darrin Mison
Modified: 2014-10-19 18:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 23:51:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2009-07-02 02:02:34 EDT
Description of problem:
adding remarks to <title> tags, specifically for <chapter> and <section> do not always have the expected highlighting in all the places they occur

This worked in 0.44

I'd modified my /usr/share/publican/xsl/pdf.xsl file as per BZ 491782 prior to upgrading to 0.45, so when I upgraded to 0.45 I probably still had the 0.44 pdf.xsl

I uninstalled publican & reinstalled it on the 29th of June to verify that the current version still had BZ 491782, which is probably the first time I got the 0.45 pdf.xsl

Version-Release number of selected component (if applicable):
publican-doc-0.45-0.el5
publican-ovirt-0.7-0.el5
publican-jboss-0.19-0.el5
publican-0.45-0.el5
publican-WebSite-obsoletes-1.03-1.el5
publican-redhat-0.19-0.el5
publican-gimp-0.5-2.el5
publican-fedora-0.18-0.el5


How reproducible:
any pdf, does not occur in html or html-single output

Steps to Reproduce:
1. add a remark to a chapter title, eg. <chapter><title><remark>UPDATED</remark>chapter X</title>
2. add a remark to a section title, eg. <section><title><remark>UPDATED</remark>section Y</title>
3. add SHOW_REMARKS = 1 to the Makefile
4. make clean pdf-en-US
  
Actual results:
remarks in chapter titles as not highlighted in the page content (ie when the title appears at the start of a chapter)

Expected results:
both chapter & section title remarks are highlighted
 - in the table of contents
 - as they occur in page content
 - in page headers



Additional info:
Publican 0.44 on Fedora 11 (plus xslthl package) has a similar problem with the additional problem that no highlighting appears at all in the table of contents
Comment 1 Darrin Mison 2009-07-02 02:12:56 EDT
Note the ability to have highlighted remarks in chapter/section titles that appear in all three places is important to the SOA QE team's process for being able to quickly QE the product docs.
Comment 3 Jeff Fearn 2009-09-30 23:04:17 EDT
Committed revision 796, which fixes this issue.
Comment 4 Fedora Update System 2009-11-17 21:18:10 EST
publican-1.2-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.2-0.fc12
Comment 5 Fedora Update System 2009-11-20 00:17:09 EST
publican-1.2-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-11-25 09:52:19 EST
publican-1.2-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.